////////////////////////////////////////////////
//         WARPED JOE BRUTE (ACOLYTERED)      //
////////////////////////////////////////////////

Actor WarpedJoeRed : WarpedJoeTan 30903
{
//$Category MM8BDM-Monsters (Strife)
//$Title Warped Joe Brute (AcolyteRed)
//$Sprite D037B8B2
Tag "Warped Joe Brute"
Translation "192:192=42:42", "198:198=185:185"
+MISSILEMORE
+MISSILEEVENMORE
Health 90
Speed 1 // 3.5
Obituary "$OB_ACOLYTERED"
States
{
FirstSee:
SNP2 A 0 A_TakeInventory("CutterFlag",1)
SNP2 A 0 ACS_NamedExecuteAlways("Monster_PassivePain",0)
SNP2 A 0 Thing_SetTranslation(0,30501) //ALLRED
SNP2 A 2 Bright
SNP2 A 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 A 0 A_GiveInventory("CutterFlag",1)
Goto See

See:
SNP2 A 0 A_JumpIfInventory("CutterFlag",1,1)
Goto FirstSee
SNP2 B 1 A_AcolyteBits
SNP2 BBBBBBCCCCCCC 1 A_ChangeVelocity(0.8,0,momz,3)
SNP2 D 1 A_Chase
SNP2 DDDDDDCCCCCCC 1 A_ChangeVelocity(0.8,0,momz,3)
SNP2 B 1 A_Chase
SNP2 BBBBBBCCCCCCC 1 A_ChangeVelocity(0.8,0,momz,3)
SNP2 D 1 A_Chase
SNP2 DDDDDDCCCCCCC 1 A_ChangeVelocity(0.8,0,momz,3)
Loop

Missile:
SNP2 G 0 A_Stop
SNP2 G 0 A_PlaySoundEx("misc/fakereloadshort","Weapon")
SNP2 G 16 A_FaceTarget
SNP2 G 0 A_CustomMissile("WarpedJoeRedShot",26,10,frandom(-8,8),0,0)
SNP2 G 0 Thing_SetTranslation(0,30504) //MISSILEFLASH
SNP2 G 2 Bright
SNP2 G 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 G 6 A_FaceTarget
SNP2 G 0 A_CustomMissile("WarpedJoeRedShot",26,10,frandom(-8,8),0,0)
SNP2 G 0 Thing_SetTranslation(0,30504) //MISSILEFLASH
SNP2 G 2 Bright
SNP2 G 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 G 6 A_FaceTarget
SNP2 G 0 A_CustomMissile("WarpedJoeRedShot",26,10,frandom(-8,8),0,0)
SNP2 G 0 Thing_SetTranslation(0,30504) //MISSILEFLASH
SNP2 G 2 Bright
SNP2 G 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 G 8 A_MonsterRefire(120,"See")
Goto Missile+2

Pain:
SNP2 H 0 A_Stop
Pain.WindStorm:
Pain.GravityHold:
Pain.ConcreteShot:
Pain.TornadoBlow:
Pain.BlackHoleBomb:
SNP2 H 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 H 12 A_Pain
Goto See

Pain.TimeStopper:
SNP2 H 0 A_Stop
SNP2 H 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 H 0 A_ChangeFlag("NOPAIN",true)
SNP2 "##############################################################################################################################################################################################################################################################################################################################################################" 1 A_SpawnItemEx("TimeStopGFX",random(8,56),0,random(0,72),0,0,0,random(0,359),0,80)
SNP2 H 0 A_ChangeFlag("NOPAIN",false)
Goto See

Death.WindStorm:
Death.GravityHold:
Death.TornadoBlow:
BlowDeath:
SNP2 H 0 A_Stop
SNP2 H 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 H 0 A_ChangeFlag("SHOOTABLE",false)
SNP2 H 0 A_ChangeFlag("NODAMAGE",false)
SNP2 H 0 A_ChangeFlag("SOLID",false)
SNP2 H 1 ThrustThingZ(0,10,0,1)
SNP2 H 0 A_JumpIf(ceilingz-z<64,"Death")
SNP2 H 0 A_GiveInventory("BlowDeathTimer",1)
SNP2 H 0 A_JumpIfInventory("BlowDeathTimer",35,"Death")
Goto BlowDeath+5

Burn:
Disintegrate:
Death:
XDeath:
SNP2 H 0 A_Stop
SNP2 H 0 A_FaceTarget
SNP2 H 0 Thing_SetTranslation(0,30903) //WARPEDJOEREDMONSTER
SNP2 H 2 A_NoBlocking
SNP2 H 0 A_Scream
SNP2 H 0 A_SpawnItemEx("ExplosionEffect1",0,0,32)
SNP2 H 0 A_SpawnItemEx("MonsterFakeDeathFX",0,0,32,0,0,0,0,1)
SNP2 H 0 A_SpawnItemEx("WarpedJoeRed_DeathMarker",0,0,32,0,0,8,0,1)
TNT1 A 22
TNT1 A -1
Stop
}
}

Actor WarpedJoeRed_DeathMarker : WarpedJoeTan_DeathMarker {}

Actor WarpedJoeRedShot : FastProjectile
{
Translation "192:192=16:16", "198:198=227:227", "208:208=42:42", "220:220=188:188"
+BRIGHT
+RIPPER
Radius 8
Height 8
Speed 45
FastSpeed 55
Damage (2)
DamageType "Buster"
SeeSound "weapon/minchrgshot"
MissileType "WarpedJoeRedShot_Trail"
MissileHeight 8
Scale 1.75
States
{
Spawn:
MXP1 C 1 NoDelay
NEDC A 1
Wait
}
}

Actor WarpedJoeRedShot_Trail : BasicGraphicEffect
{
Translation "208:208=42:42", "220:220=188:188"
Renderstyle Add
Scale 1
States
{
Spawn:
NEDC A 1 NoDelay A_FadeOut(0.1)
Wait
}
}

Actor WarpedJoeRed_Replaced : WarpedJoeRed replaces AcolyteRed {}